## dask 2.8.1+dfsg

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/dask.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/dask.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/dask"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/dask"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## dask 0.15.1

=== debian/changelog ===
dask (0.15.1-3) unstable; urgency=medium

  * Also set fullrevision-id in reprodicible-version.patch
    (Closes: 871785)

 -- Diane Trout <diane@ghic.org>  Fri, 11 Aug 2017 12:53:02 -0700

dask (0.15.1-2) unstable; urgency=medium

  * Add reproducible-version.patch to help build documentation reproducibly
  * Add python3-scipy as documentation dependency
  * Update to Standards-Version 4.0.1. No changes neede.

 -- Diane Trout <diane@ghic.org>  Tue, 08 Aug 2017 21:52:34 -0700

dask (0.15.1-1) unstable; urgency=medium

  * Team upload

  [ Diane Trout ]
  * New upstream release (Closes: #860923)
  * Update required build-depends versions for partd and toolz
  * Update recommended dask.distributed version
  * Update autopkgtest depends
  * Add distributed as a documentation build dependency.

  [ Ghislain Antony Vaillant ]
  * Switch from git-dpm to gbp
  * Simplify integration with the packaged MathJax
    - New patch Use-the-packaged-MathJax.patch, replaces the old
      use-mathjax-package.patch patch with a different approach
    - Drop MathJax from Build-Depends, no longer required
    - Add MathJax to Depends manually
    - Drop symlinkage of MathJax at build time, no longer required
  * Use the upstream Makefile for the docs
  * Add missing Built-Using field for the docs
  * Add docs to Suggests
  * Honor the nodoc build profile
    - Add versioned dependency on dpkg-dev
    - Mark docs dependencies as <!nodoc>
    - Add build dependency on sphinx-common
    - Add Build-Profiles field to the doc package
    - Do not build the docs if nodoc is requested
  * Drop superfluous dependency on numpy
  * Bump debhelper version to 10
  * Run cme fix dpkg-control
    - Drop some versioned dependencies
    - Drop superfluous Testsuite field
    - Overall wrap and sort of fields
  * Move Diane Trout to Uploaders, DPMT is Maintainer
  * New upstream version 0.14.3
  * Update the patch queue
    - Refresh Use-the-packaged-MathJax.patch
    - New patch Add-MathJax-Sphinx-extension.patch
  * Bump the minimum pandas version to 0.19.0
  * Improve the DEP-8 tests
    - Add missing dependency on python3-all
    - Add missing dependency on ipython and sparse
    - Add missing needs-recommends restriction
    - Drop dependency on python3-distributed, now pulled transitively by
      Recommends
    - Run the tests in verbose mode
  * Install the upstream change log
  * Update copyright information

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Thu, 01 Jun 2017 20:46:31 +0100

dask (0.12.0-1) unstable; urgency=low

  * Initial Packaging (Closes: #817777)

 -- Diane Trout <diane@ghic.org>  Wed, 07 Dec 2016 10:54:28 -0800

=== debian/control ===
Source: dask
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Diane Trout <diane@ghic.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-python,
               dpkg-dev (>= 1.17.14),
               python3-all,
               python3-cloudpickle <!nodoc>,
               python3-distributed <!nodoc>,
               python3-numpydoc <!nodoc>,
               python3-pandas (>= 0.19.0) <!nodoc>,
               python3-partd <!nodoc>,
               python3-scipy <!nodoc>,
               python3-setuptools,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               python3-toolz <!nodoc>,
               sphinx-common
Standards-Version: 4.0.1
Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/dask.git
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/dask.git
Homepage: http://github.com/dask/dask
X-Python3-Version: >= 3.3

Package: python3-dask
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Recommends: python3-numpy,
            python3-toolz
Suggests: python-dask-doc <!nodoc>,
          python3-cloudpickle,
          python3-distributed (>= 1.16),
          python3-graphviz,
          python3-pandas (>= 0.19.0),
          python3-partd,
          python3-psutil
Description: Minimal task scheduling abstraction for Python 3
 Dask is a flexible parallel computing library for analytics,
 containing two components.
 .
 1. Dynamic task scheduling optimized for computation. This is similar
 to Airflow, Luigi, Celery, or Make, but optimized for interactive
 computational workloads.
 2. "Big Data" collections like parallel arrays, dataframes, and lists
 that extend common interfaces like NumPy, Pandas, or Python iterators
 to larger-than-memory or distributed environments. These parallel
 collections run on top of the dynamic task schedulers.
 .
 This contains the Python 3 version.

Package: python-dask-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
         libjs-mathjax
Built-Using: ${sphinxdoc:Built-Using}
Description: Minimal task scheduling abstraction documentation
 Dask is a flexible parallel computing library for analytics,
 containing two components.
 .
 1. Dynamic task scheduling optimized for computation. This is similar
 to Airflow, Luigi, Celery, or Make, but optimized for interactive
 computational workloads.
 2. "Big Data" collections like parallel arrays, dataframes, and lists
 that extend common interfaces like NumPy, Pandas, or Python iterators
 to larger-than-memory or distributed environments. These parallel
 collections run on top of the dynamic task schedulers.
 .
 This contains the documentation
Build-Profiles: <!nodoc>

=== debian/tests/control ===
Test-Command: set -e
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; http_proxy= $py -m pytest -v --pyargs dask
 ; done
Depends: python3-all,
         python3-cloudpickle,
         python3-dask,
         python3-ipython,
         python3-pandas,
         python3-partd,
         python3-psutil,
         python3-pytest,
         python3-scipy,
         python3-sparse
Restrictions: needs-recommends

## dask 0.16.0

=== debian/changelog ===
dask (0.16.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.1.2. No changes needed.
  * Use https for Homepage URL.

 -- Diane Trout <diane@ghic.org>  Fri, 08 Dec 2017 15:56:24 -0800

dask (0.15.4-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.1.1. No changes needed.
  * Add python3-tables to tests/control

 -- Diane Trout <diane@ghic.org>  Fri, 13 Oct 2017 08:20:30 -0700

=== debian/control ===
--- 
+++ 
@@ -18,10 +18,10 @@
                python3-sphinx-rtd-theme <!nodoc>,
                python3-toolz <!nodoc>,
                sphinx-common
-Standards-Version: 4.0.1
+Standards-Version: 4.1.2
 Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/dask.git
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/dask.git
-Homepage: http://github.com/dask/dask
+Homepage: https://github.com/dask/dask
 X-Python3-Version: >= 3.3
 
 Package: python3-dask

=== debian/tests/control ===
--- 
+++ 
@@ -13,5 +13,6 @@
          python3-psutil,
          python3-pytest,
          python3-scipy,
-         python3-sparse
+         python3-sparse,
+         python3-tables,
 Restrictions: needs-recommends

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%dask-$1.tar.gz%" \
    https://github.com/dask/dask/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## dask 0.17.5

=== debian/changelog ===
dask (0.17.5-2) unstable; urgency=medium

  * Try to make version reproducible.
  * Add python3-requests as recommends
    Directly imported by dask/bytes/http.py
  * Add additional dependencies to suggests and tests
    based on upstreams CI tests.
  * Remove bokeh plots without source
    (remove-bokeh-embeds.patch)
  * Use local libjs-bootstrap for documentation
    (use-local-boostrap.patch)
  * Use the Debian changelog for versioneer's version
    (use-debian-version.patch)
  * Adjust testing dependencies

 -- Diane Trout <diane@ghic.org>  Fri, 22 Jun 2018 21:27:55 -0700

dask (0.17.5-1) unstable; urgency=medium

  * New upstream release

 -- Diane Trout <diane@ghic.org>  Mon, 21 May 2018 11:42:08 -0700

dask (0.17.4-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Remove ancient X-Python3-Version field

  [ Diane Trout ]
  * New upstream version 0.17.4
  * Use local numpy and pandas sphinx links for documentation
  * Update to Standards-Version 4.1.4. No changes needed
  * Update to debhelper 11
  * Indicate what version of dask.distributed we expect to work with

 -- Diane Trout <diane@ghic.org>  Wed, 16 May 2018 22:26:08 -0700

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,12 @@
 Uploaders: Diane Trout <diane@ghic.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                dh-python,
+               libjs-bootstrap,
                dpkg-dev (>= 1.17.14),
+               python-numpy-doc <!nodoc>,
+               python-pandas-doc <!nodoc>,
                python3-all,
                python3-cloudpickle <!nodoc>,
                python3-distributed <!nodoc>,
@@ -18,25 +21,35 @@
                python3-sphinx-rtd-theme <!nodoc>,
                python3-toolz <!nodoc>,
                sphinx-common
-Standards-Version: 4.1.2
-Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/dask.git
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/dask.git
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/python-team/modules/dask
+Vcs-Git: https://salsa.debian.org/python-team/modules/dask.git
 Homepage: https://github.com/dask/dask
-X-Python3-Version: >= 3.3
 
 Package: python3-dask
 Architecture: all
 Depends: ${misc:Depends},
-         ${python3:Depends}
-Recommends: python3-numpy,
-            python3-toolz
-Suggests: python-dask-doc <!nodoc>,
-          python3-cloudpickle,
-          python3-distributed (>= 1.16),
+         ${python3:Depends},
+         python3-toolz,
+Recommends: python3-cloudpickle,
+            python3-partd,
+            python3-numpy,
+            python3-pandas,
+            python3-requests,
+Suggests: ipython,
+          python-dask-doc <!nodoc>,
+          python3-bcolz,
+          python3-blosc,
+          python3-boto,
+          python3-distributed (>= 1.21),
           python3-graphviz,
-          python3-pandas (>= 0.19.0),
-          python3-partd,
-          python3-psutil
+          python3-h5py,
+          python3-psutil,
+          python3-scipy,
+          python3-sqlalchemy,
+          python3-skimage,
+          python3-sklearn,
+          python3-tables,
 Description: Minimal task scheduling abstraction for Python 3
  Dask is a flexible parallel computing library for analytics,
  containing two components.
@@ -56,7 +69,8 @@
 Section: doc
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends},
-         libjs-mathjax
+         libjs-mathjax,
+         libjs-bootstrap,
 Built-Using: ${sphinxdoc:Built-Using}
 Description: Minimal task scheduling abstraction documentation
  Dask is a flexible parallel computing library for analytics,

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=dask
%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
	$(MAKE) -C docs clean
endif

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
	PYTHONPATH=$(CURDIR) $(MAKE) -C docs html
	rm docs/build/html/_static/profile.html
	rm docs/build/html/_static/stacked_profile.html
endif

# Test needs: skimage, scipy, s3fs, cachey, distributed, graphviz
# dask is a build-dep for distributed... so we can't run tests at build
.PHONY: override_dh_auto_test

override_dh_installchangelogs:
	dh_installchangelogs docs/source/changelog.rst

=== debian/tests/control ===
Test-Command: set -e
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; http_proxy= $py -m pytest -v --pyargs dask
 ; done
Depends: @, python3-all,
         python3-ipython,
         python3-bcolz,
         python3-blosc,
         python3-boto,
         python3-graphviz,
         python3-h5py,
         python3-psutil,
         python3-pytest,
         python3-scipy,
         python3-sqlalchemy,
         python3-skimage,
         python3-sklearn,
         python3-tables,
Restrictions: needs-recommends

## dask 1.0.0%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,13 @@
 Priority: optional
 Build-Depends: debhelper (>= 11),
                dh-python,
+               dpkg-dev (>= 1.17.14),
                libjs-bootstrap,
-               dpkg-dev (>= 1.17.14),
                python-numpy-doc <!nodoc>,
                python-pandas-doc <!nodoc>,
                python3-all,
                python3-cloudpickle <!nodoc>,
+               python3-dask-sphinx-theme <!nodoc>,
                python3-distributed <!nodoc>,
                python3-numpydoc <!nodoc>,
                python3-pandas (>= 0.19.0) <!nodoc>,
@@ -18,10 +19,9 @@
                python3-scipy <!nodoc>,
                python3-setuptools,
                python3-sphinx <!nodoc>,
-               python3-sphinx-rtd-theme <!nodoc>,
                python3-toolz <!nodoc>,
                sphinx-common
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/python-team/modules/dask
 Vcs-Git: https://salsa.debian.org/python-team/modules/dask.git
 Homepage: https://github.com/dask/dask
@@ -32,10 +32,10 @@
          ${python3:Depends},
          python3-toolz,
 Recommends: python3-cloudpickle,
-            python3-partd,
             python3-numpy,
             python3-pandas,
-            python3-requests,
+            python3-partd,
+            python3-requests
 Suggests: ipython,
           python-dask-doc <!nodoc>,
           python3-bcolz,
@@ -46,10 +46,10 @@
           python3-h5py,
           python3-psutil,
           python3-scipy,
-          python3-sqlalchemy,
           python3-skimage,
           python3-sklearn,
-          python3-tables,
+          python3-sqlalchemy,
+          python3-tables
 Description: Minimal task scheduling abstraction for Python 3
  Dask is a flexible parallel computing library for analytics,
  containing two components.
@@ -70,7 +70,6 @@
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends},
          libjs-mathjax,
-         libjs-bootstrap,
 Built-Using: ${sphinxdoc:Built-Using}
 Description: Minimal task scheduling abstraction documentation
  Dask is a flexible parallel computing library for analytics,

=== debian/tests/control ===
--- 
+++ 
@@ -9,13 +9,19 @@
          python3-bcolz,
          python3-blosc,
          python3-boto,
+	 python3-cloudpickle,
          python3-graphviz,
          python3-h5py,
+         python3-numpy,
+         python3-pandas,
+         python3-partd,
          python3-psutil,
          python3-pytest,
+         python3-requests,
          python3-scipy,
          python3-sqlalchemy,
          python3-skimage,
          python3-sklearn,
          python3-tables,
-Restrictions: needs-recommends
+	 python3-tk,
+	 python3-yaml,

## dask 1.0.0+dfsg

=== debian/changelog ===
dask (1.0.0+dfsg-2) unstable; urgency=medium

  * Support numpy 1.16's multifield copy->view (Closes: 918204)
  * Support numpy 1.16's extended gufunc signatures

 -- Diane Trout <diane@ghic.org>  Thu, 10 Jan 2019 17:03:25 -0500

dask (1.0.0+dfsg-1) unstable; urgency=medium

  * New upstream release. (Closes: #913622)
  * Refresh patches
  * Remove use-local-bootstrap.patch, no longer relevant.
  * Remove deprecated needs-recommended tag and add the test dependencies
  * Remove libjs-bootstrap dependency
  * Sort dependency list
  * Use python3-dask-sphinx-theme instead of sphinx-rtd-theme
  * profile.html, stacked_profile were removed upstream

 -- Diane Trout <diane@ghic.org>  Sat, 08 Dec 2018 21:26:40 -0800

=== debian/rules ===
--- 
+++ 
@@ -16,8 +16,6 @@
 	dh_auto_build
 ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
 	PYTHONPATH=$(CURDIR) $(MAKE) -C docs html
-	rm docs/build/html/_static/profile.html
-	rm docs/build/html/_static/stacked_profile.html
 endif
 
 # Test needs: skimage, scipy, s3fs, cachey, distributed, graphviz

## dask 2.8.1%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Diane Trout <diane@ghic.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 11),
                dh-python,
                dpkg-dev (>= 1.17.14),
                libjs-bootstrap,
@@ -13,15 +13,17 @@
                python3-cloudpickle <!nodoc>,
                python3-dask-sphinx-theme <!nodoc>,
                python3-distributed <!nodoc>,
+               python3-fsspec,
                python3-numpydoc <!nodoc>,
                python3-pandas (>= 0.19.0) <!nodoc>,
                python3-partd <!nodoc>,
                python3-scipy <!nodoc>,
                python3-setuptools,
                python3-sphinx <!nodoc>,
+               python3-sphinx-click <!nodoc>,
                python3-toolz <!nodoc>,
                sphinx-common
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/python-team/modules/dask
 Vcs-Git: https://salsa.debian.org/python-team/modules/dask.git
 Homepage: https://github.com/dask/dask
@@ -30,6 +32,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends},
+         python3-fsspec,
          python3-toolz,
 Recommends: python3-cloudpickle,
             python3-numpy,

## dask 2.8.1+dfsg

=== debian/changelog ===
dask (2.8.1+dfsg-0.4) unstable; urgency=medium

  * Non-maintainer upload
  * Xfail test_temporary_directory on Python 3.8

 -- Graham Inggs <ginggs@debian.org>  Sat, 04 Jan 2020 21:52:04 +0000

dask (2.8.1+dfsg-0.3) unstable; urgency=medium

  * Non-maintainer upload
  * Allow output to stderr in autopkgtest to
    ignore warnings with Python 3.8

 -- Graham Inggs <ginggs@debian.org>  Sun, 29 Dec 2019 13:55:58 +0000

dask (2.8.1+dfsg-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add python3-packaging to the autopkg test dependencies.

 -- Matthias Klose <doko@debian.org>  Wed, 04 Dec 2019 20:38:16 +0100

dask (2.8.1+dfsg-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version. Closes: #942235.
  * (Build)-depend on python3-fsspec.
  * Add python3-fsspec to the autopkg test dependencies.

 -- Matthias Klose <doko@debian.org>  Wed, 04 Dec 2019 13:03:47 +0100

dask (2.6.0+dfsg-1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.1.

  [ Drew Parsons ]
  * New upstream release.
   - applies patches:
      avoid-duplicate-notes-with-numpydoc.patch
      numpy-1.16-dtype.patch
      numpy-1.16-gufunc.patch
   - Build-Depends: python3-sphinx-click

 -- Ondřej Nový <onovy@debian.org>  Sat, 20 Jul 2019 00:33:55 +0200

=== debian/tests/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
          python3-graphviz,
          python3-h5py,
          python3-numpy,
+         python3-packaging,
          python3-pandas,
          python3-partd,
          python3-psutil,
@@ -25,3 +26,5 @@
          python3-tables,
 	 python3-tk,
 	 python3-yaml,
+	 python3-fsspec,
+Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%dask-$1.tar.gz%,repacksuffix=+dfsg,dversionmangle=s/\+dfsg\d*$//,repack" \
    https://github.com/dask/dask/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## dask 2.11.0+dfsg

=== debian/changelog ===
dask (2.11.0+dfsg-3) unstable; urgency=medium

  * Team upload.
  * No-change source-only upload after manually re-bootstrapping with pandas
    1.1.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 19 Oct 2020 15:11:47 -0700

dask (2.11.0+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Stefano Rivera ]
  * Round-trip patches through gbp-pq.
  * Patch: Compatibility with pandas 1.1, Thanks Rebecca Palmer.
    (Closes: #969648)
  * wrap-and-sort control files.
  * Patches for compatibility with current fsspec. (Closes: #972516)
    - Depend on python3-aiohttp for autopkgtests.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 19 Oct 2020 13:39:49 -0700

dask (2.11.0+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Indicate stats.py copyright is from scipy.
  * New release fixes pandas 1.0 compatitibility (Closes: #950927)

 -- Diane Trout <diane@ghic.org>  Wed, 26 Feb 2020 13:01:52 -0800

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: dask
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Diane Trout <diane@ghic.org>
 Section: python
 Priority: optional
@@ -24,16 +24,16 @@
                python3-toolz <!nodoc>,
                sphinx-common
 Standards-Version: 4.4.1
-Vcs-Browser: https://salsa.debian.org/python-team/modules/dask
-Vcs-Git: https://salsa.debian.org/python-team/modules/dask.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/dask
+Vcs-Git: https://salsa.debian.org/python-team/packages/dask.git
 Homepage: https://github.com/dask/dask
 
 Package: python3-dask
 Architecture: all
-Depends: ${misc:Depends},
-         ${python3:Depends},
-         python3-fsspec,
+Depends: python3-fsspec,
          python3-toolz,
+         ${misc:Depends},
+         ${python3:Depends}
 Recommends: python3-cloudpickle,
             python3-numpy,
             python3-pandas,
@@ -70,9 +70,9 @@
 Package: python-dask-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends},
-         ${sphinxdoc:Depends},
-         libjs-mathjax,
+Depends: libjs-mathjax,
+         ${misc:Depends},
+         ${sphinxdoc:Depends}
 Built-Using: ${sphinxdoc:Built-Using}
 Description: Minimal task scheduling abstraction documentation
  Dask is a flexible parallel computing library for analytics,

## dask 2021.01.0+dfsg

=== docs/Makefile ===
--- 
+++ 
@@ -4,6 +4,7 @@
 # You can set these variables from the command line.
 SPHINXOPTS    =
 SPHINXBUILD   = sphinx-build
+PYTEST        = pytest
 PAPER         =
 BUILDDIR      = build
 
@@ -142,10 +143,11 @@
 	@echo "The overview file is in $(BUILDDIR)/changes."
 
 linkcheck:
-	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
+	# Preferring pytest check-links over sphinx due to rate limiting issue: https://github.com/sphinx-doc/sphinx/issues/7388
+	# $(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
+	$(PYTEST) --check-links --check-links-cache
 	@echo
-	@echo "Link check complete; look for any errors in the above output " \
-	      "or in $(BUILDDIR)/linkcheck/output.txt."
+	@echo "Link check complete; look for any errors in the above output "
 
 doctest:
 	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest

=== debian/changelog ===
dask (2021.01.0+dfsg-1) unstable; urgency=medium

  [ Diane Trout ]
  * New upstream release
  * Fix fake http proxy url as dask's build system parses it
  * Modify the documentation build process to use local files
    - Cache copies of yaml files hosted at raw.githubusercontent.com/dask/
    in debian/
    - Add target to debian/rules to download the files
  * Update Standards-Version to 4.5.1. No changes needed.
  * Use Rules-Requires-Root: no
  * Update to debhelper-compat 13
  * Add python-asyncssh-doc as doc dependency
  * Add link to sphinx_rtd_theme html5shiv.min.js
  * Use Debian version of js-yaml
  * Refresh patches
  * Update use-local-intersphinx to use the local asyncssh docs
  * Remove pandas-1.1 compatibility patches, resolved upstream
  * Require a version of sparse that includes SparseArray

  [ Stefano Rivera ]
  * Patch: Use youtube-nocookie.com in docs.

 -- Diane Trout <diane@ghic.org>  Thu, 21 Jan 2021 19:51:01 -0800

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Uploaders: Diane Trout <diane@ghic.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 11),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                dpkg-dev (>= 1.17.14),
-               libjs-bootstrap,
+               node-js-yaml <!nodoc>,
+               python-asyncssh-doc <!nodoc>,
                python-numpy-doc <!nodoc>,
                python-pandas-doc <!nodoc>,
                python3-all,
@@ -19,14 +20,16 @@
                python3-partd <!nodoc>,
                python3-scipy <!nodoc>,
                python3-setuptools,
+               python3-sparse (>= 0.11) <!nocheck>,
                python3-sphinx <!nodoc>,
                python3-sphinx-click <!nodoc>,
                python3-toolz <!nodoc>,
                sphinx-common
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/python-team/packages/dask
 Vcs-Git: https://salsa.debian.org/python-team/packages/dask.git
 Homepage: https://github.com/dask/dask
+Rules-Requires-Root: no
 
 Package: python3-dask
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -10,8 +10,8 @@
 	$(MAKE) -C docs clean
 endif
 
-override_dh_auto_build: export http_proxy=127.0.0.1:9
-override_dh_auto_build: export https_proxy=127.0.0.1:9
+override_dh_auto_build: export http_proxy=http://127.0.0.1:9
+override_dh_auto_build: export https_proxy=https://127.0.0.1:9
 override_dh_auto_build:
 	dh_auto_build
 ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
@@ -22,5 +22,17 @@
 # dask is a build-dep for distributed... so we can't run tests at build
 .PHONY: override_dh_auto_test
 
+override_dh_auto_install:
+	dh_auto_install
+	dh_link
+
 override_dh_installchangelogs:
 	dh_installchangelogs docs/source/changelog.rst
+
+# Upstream provides these files separately from the source tree
+# but they're needed to build the documentation.
+update_yaml_files:
+	curl -L -o debian/dask-config-blocks/dask.yaml https://raw.githubusercontent.com/dask/dask/master/dask/dask.yaml
+	curl -L -o debian/dask-config-blocks/dask-schema.yaml https://raw.githubusercontent.com/dask/dask/master/dask/dask-schema.yaml
+	curl -L -o debian/dask-config-blocks/distributed.yaml https://raw.githubusercontent.com/dask/distributed/master/distributed/distributed.yaml
+	curl -L -o debian/dask-config-blocks/distributed-schema.yaml https://raw.githubusercontent.com/dask/distributed/master/distributed/distributed-schema.yaml

=== debian/tests/control ===
Test-Command: set -e
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; http_proxy= $py -m pytest -v --pyargs dask
 ; done
Depends: python3-aiohttp,
         python3-all,
         python3-bcolz,
         python3-blosc,
         python3-boto,
         python3-cloudpickle,
         python3-fsspec,
         python3-graphviz,
         python3-h5py,
         python3-ipython,
         python3-numpy,
         python3-packaging,
         python3-pandas,
         python3-partd,
         python3-psutil,
         python3-pytest,
         python3-requests,
         python3-scipy,
         python3-skimage,
         python3-sklearn,
         python3-sqlalchemy,
         python3-tables,
         python3-tk,
         python3-yaml,
         @
Restrictions: allow-stderr

## dask 2022.01.0+dfsg

=== docs/Makefile ===
--- 
+++ 
@@ -40,7 +40,7 @@
 	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
 
 clean:
-	-rm -rf $(BUILDDIR)/*
+	-rm -rf $(BUILDDIR)/* source/generated/*
 
 html:
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html

=== debian/changelog ===
dask (2022.01.0+dfsg-1ubuntu1) jammy; urgency=medium

  * Cherry-pick upstream commit for scipy 1.8 compatibility

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 05 Apr 2022 11:34:20 +0000

dask (2022.01.0+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * split tests/control Tests-Command: into a separate shell script
  * Add sphinx-remove-toctree and sphinx-tabs to build-depends
  * add 32-bit compatibility patch for pandas 1.3
    See https://github.com/dask/dask/issues/8169
  * Copy conftest.py into test directory for autopkgtests
  * Add python3-ipython as a build-dependency.
    - it provides a sphinx formatting extension.
  * Add patch pytest-futurewarning.patch for compatibility with our pytest
  * Disable python3-sparse for tests since numba is broken (Closes: #1005962)

 -- Diane Trout <diane@ghic.org>  Sun, 20 Feb 2022 17:11:53 -0800

dask (2021.09.1+dfsg-2) unstable; urgency=medium

  * add 32-bit compatibility patch for pandas 1.3
    See https://github.com/dask/dask/issues/8169
  * Upstream was concerned the 32-bit patch might not work with older
    versions of pandas, so require at least pandas version 1.3
  * Remove executable bit from dask/dataframe/io/orc/utils.py

 -- Diane Trout <diane@ghic.org>  Mon, 20 Dec 2021 21:39:22 -0800

dask (2021.09.1+dfsg-1) unstable; urgency=medium

  * New upstream release. (Closes: #995782)
  * Refresh patches
  * Update Standards-Version. No changes needed.
  * Add reproducible-config-autofunction.patch to remove
    a source of unreproducibility

 -- Diane Trout <diane@ghic.org>  Fri, 08 Oct 2021 14:30:58 -0700

dask (2021.08.1+dfsg-3) unstable; urgency=medium

  * Add Suggests for python3-jinja2 which is needed for widgets
  * Make sure js-yaml.js is available for python-dask-doc

 -- Diane Trout <diane@ghic.org>  Sun, 19 Sep 2021 20:01:52 -0700

dask (2021.08.1+dfsg-2) unstable; urgency=medium

  * Skip network tests in autopkgtest (Closes: 956069)
    - Thanks Christian Kastner
  * Properly link to sphinx_rtd_theme and node-js-yaml resources
    (Closes: #988794)

 -- Diane Trout <diane@ghic.org>  Thu, 02 Sep 2021 18:23:17 -0700

dask (2021.08.1+dfsg-1) unstable; urgency=medium

  [ Diane Trout ]
  * New upstream release
  * Fix fake http proxy url as dask's build system parses it
  * Modify the documentation build process to use local files
    - Cache copies of yaml files hosted at raw.githubusercontent.com/dask/
    in debian/
    - Add target to debian/rules to download the files
  * Update Standards-Version to 4.5.1. No changes needed.
  * Use Rules-Requires-Root: no
  * Update to debhelper-compat 13
  * Add python-asyncssh-doc as doc dependency
  * Add link to sphinx_rtd_theme html5shiv.min.js
  * Use Debian version of js-yaml
  * Refresh patches
  * Update use-local-intersphinx to use the local asyncssh docs
  * Remove pandas-1.1 compatibility patches, resolved upstream
  * Require a version of sparse that includes SparseArray
  * Update cached yaml schema files

  [ Stefano Rivera ]
  * Patch: Use youtube-nocookie.com in docs.

 -- Diane Trout <diane@ghic.org>  Mon, 07 Dec 2020 14:36:39 -0800

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: dask
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Diane Trout <diane@ghic.org>
 Section: python
 Priority: optional
@@ -15,17 +16,20 @@
                python3-dask-sphinx-theme <!nodoc>,
                python3-distributed <!nodoc>,
                python3-fsspec,
+               python3-ipython <!nodoc>,
                python3-numpydoc <!nodoc>,
-               python3-pandas (>= 0.19.0) <!nodoc>,
+               python3-pandas (>= 1.3) <!nodoc>,
                python3-partd <!nodoc>,
                python3-scipy <!nodoc>,
                python3-setuptools,
-               python3-sparse (>= 0.11) <!nocheck>,
+#               python3-sparse (>= 0.11) <!nocheck>,
                python3-sphinx <!nodoc>,
                python3-sphinx-click <!nodoc>,
+               python3-sphinx-remove-toctrees <!nodoc>,
+               python3-sphinx-tabs <!nodoc>,
                python3-toolz <!nodoc>,
                sphinx-common
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/dask
 Vcs-Git: https://salsa.debian.org/python-team/packages/dask.git
 Homepage: https://github.com/dask/dask
@@ -50,6 +54,7 @@
           python3-distributed (>= 1.21),
           python3-graphviz,
           python3-h5py,
+          python3-jinja2,
           python3-psutil,
           python3-scipy,
           python3-skimage,
@@ -74,6 +79,7 @@
 Architecture: all
 Section: doc
 Depends: libjs-mathjax,
+         node-js-yaml,
          ${misc:Depends},
          ${sphinxdoc:Depends}
 Built-Using: ${sphinxdoc:Built-Using}

=== debian/rules ===
--- 
+++ 
@@ -25,6 +25,7 @@
 override_dh_auto_install:
 	dh_auto_install
 	dh_link
+	chmod a-x debian/python3-dask/usr/lib/python3*/dist-packages/dask/dataframe/io/orc/utils.py
 
 override_dh_installchangelogs:
 	dh_installchangelogs docs/source/changelog.rst

=== debian/tests/control ===
--- 
+++ 
@@ -1,9 +1,4 @@
-Test-Command: set -e
- ; for py in $(py3versions -r 2>/dev/null)
- ; do cd "$AUTOPKGTEST_TMP"
- ; echo "Testing with $py:"
- ; http_proxy= $py -m pytest -v --pyargs dask
- ; done
+Tests: run-test
 Depends: python3-aiohttp,
          python3-all,
          python3-bcolz,

## dask 2022.02.0+dfsg

=== debian/changelog ===
dask (2022.02.0+dfsg-2) unstable; urgency=medium

  * Add skip-dtype-test-on-32bit.patch (Closes: #1016719)

 -- Diane Trout <diane@ghic.org>  Thu, 18 Aug 2022 14:23:16 -0700

dask (2022.02.0+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * split tests/control Tests-Command: into a separate shell script
  * Add sphinx-remove-toctree and sphinx-tabs to build-depends
  * add 32-bit compatibility patch for pandas 1.3
    See https://github.com/dask/dask/issues/8169
  * Copy conftest.py into test directory for autopkgtests
  * Add python3-ipython as a build-dependency.
    - it provides a sphinx formatting extension.
  * Add patch pytest-futurewarning.patch for compatibility with our pytest
  * Add scipy-1.8.patch (Closes: #1013080) for Scipy 1.8 compatibility
    Thanks: Graham Inggs
  * run autopkgtest on all supported versions
  * Remove built-using on -doc package

 -- Diane Trout <diane@ghic.org>  Thu, 04 Aug 2022 11:15:42 -0700

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: dask
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Diane Trout <diane@ghic.org>
 Section: python
 Priority: optional
@@ -82,7 +81,6 @@
          node-js-yaml,
          ${misc:Depends},
          ${sphinxdoc:Depends}
-Built-Using: ${sphinxdoc:Built-Using}
 Description: Minimal task scheduling abstraction documentation
  Dask is a flexible parallel computing library for analytics,
  containing two components.

## dask 2022.12.1+dfsg

=== debian/changelog ===
dask (2022.12.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Drop python3-bcolz from Suggests
  * Drop python3-bcolz from Test-Depends

 -- Andreas Tille <tille@debian.org>  Wed, 01 Feb 2023 20:49:00 +0100

dask (2022.12.1+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * New upstream version
    Closes: #1025393, #1027254
  * Simplify watch file
  * Standards-Version: 4.6.2 (routine-update)
  * Add salsa-ci file (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Ignore some sphinx packages that are not packaged yet
  * yaml.min.js should be properly excluded from upstream source.  Just
    in case it is needed it can be taken from debian/missing-sources.

  [ Rebecca N. Palmer ]
  * Docs: continue to use our js-yaml.
  * Temporarily remove python3-distributed B-D to break cycle.
    Closes: #1028667
  * Docs: ignore build errors.
  * Tests: be compatible with our CI setup.
  * Remove newline from error message, to not break python3-intake.

 -- Andreas Tille <tille@debian.org>  Mon, 16 Jan 2023 10:22:16 +0100

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,14 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
-               dpkg-dev (>= 1.17.14),
                node-js-yaml <!nodoc>,
                python-asyncssh-doc <!nodoc>,
-               python-numpy-doc <!nodoc>,
+#               python-numpy-doc <!nodoc>,
                python-pandas-doc <!nodoc>,
                python3-all,
                python3-cloudpickle <!nodoc>,
                python3-dask-sphinx-theme <!nodoc>,
-               python3-distributed <!nodoc>,
+# temporarily removed for bootstrapping               python3-distributed <!nodoc>,
                python3-fsspec,
                python3-ipython <!nodoc>,
                python3-numpydoc <!nodoc>,
@@ -24,11 +23,12 @@
 #               python3-sparse (>= 0.11) <!nocheck>,
                python3-sphinx <!nodoc>,
                python3-sphinx-click <!nodoc>,
+               python3-sphinx-copybutton <!nodoc>,
                python3-sphinx-remove-toctrees <!nodoc>,
                python3-sphinx-tabs <!nodoc>,
                python3-toolz <!nodoc>,
                sphinx-common
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/dask
 Vcs-Git: https://salsa.debian.org/python-team/packages/dask.git
 Homepage: https://github.com/dask/dask
@@ -47,10 +47,9 @@
             python3-requests
 Suggests: ipython,
           python-dask-doc <!nodoc>,
-          python3-bcolz,
           python3-blosc,
           python3-boto,
-          python3-distributed (>= 1.21),
+          python3-distributed,
           python3-graphviz,
           python3-h5py,
           python3-jinja2,

=== debian/tests/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Tests: run-test
 Depends: python3-aiohttp,
          python3-all,
-         python3-bcolz,
          python3-blosc,
          python3-boto,
          python3-cloudpickle,

## dask 2023.8.0+dfsg

=== debian/changelog ===
dask (2023.8.0+dfsg-2) unstable; urgency=medium

  * Add force-little-endian-random.patch to try and initialize random
    number generator on s380x the same as on x86_64 (Closes: #1050526)
  * Depend on dask-sphinx-theme 3.0.5-2 to avoid accidentally including
    googletagmanager in the documentation.

 -- Diane Trout <diane@ghic.org>  Fri, 25 Aug 2023 21:22:33 -0700

dask (2023.8.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Remove reproducible-version.patch, use-debian-version.patch
    Upstream removed the embedded copy of versioneer.
  * Add python3-versioneer dependency.
  * Refresh patches.
  * Add python3-sphinx-design dependency for better documentation
  * Add pybuild-plugin-pyproject build dependency for pyproject.toml
  * Change disable autopkgtests
    - test_describe_empty seems to work now.
    - test_RandomState_only_funcs fails for not throwing a
      deprecationwarning
  * Add python3-importlib-metadata Build-Depends for sphinx autosummary
  * Disable patches that may not be needed
    - skip-dtype-test-on-32bit.patch
    - no_newline_error.patch
  * add tzdata-legacy to control and test/control for some timezone tests
  * Add verbatim-sphinx-ipython.patch to avoid updating ipython output
    during the build process. This should improve reproducibility.

 -- Diane Trout <diane@ghic.org>  Thu, 10 Aug 2023 16:02:14 -0700

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,16 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                node-js-yaml <!nodoc>,
+               pybuild-plugin-pyproject,
                python-asyncssh-doc <!nodoc>,
 #               python-numpy-doc <!nodoc>,
                python-pandas-doc <!nodoc>,
                python3-all,
                python3-cloudpickle <!nodoc>,
-               python3-dask-sphinx-theme <!nodoc>,
+               python3-dask-sphinx-theme (>= 3.0.5-2) <!nodoc>,
 # temporarily removed for bootstrapping               python3-distributed <!nodoc>,
                python3-fsspec,
+               python3-importlib-metadata <!nodoc>,
                python3-ipython <!nodoc>,
                python3-numpydoc <!nodoc>,
                python3-pandas (>= 1.3) <!nodoc>,
@@ -24,10 +26,13 @@
                python3-sphinx <!nodoc>,
                python3-sphinx-click <!nodoc>,
                python3-sphinx-copybutton <!nodoc>,
+               python3-sphinx-design <!nodoc>,
                python3-sphinx-remove-toctrees <!nodoc>,
                python3-sphinx-tabs <!nodoc>,
                python3-toolz <!nodoc>,
-               sphinx-common
+               python3-versioneer,
+               sphinx-common,
+               tzdata-legacy,
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/dask
 Vcs-Git: https://salsa.debian.org/python-team/packages/dask.git

=== debian/tests/control ===
--- 
+++ 
@@ -22,5 +22,6 @@
          python3-tables,
          python3-tk,
          python3-yaml,
+         tzdata-legacy,
          @
 Restrictions: allow-stderr
